<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_meanAbsDev.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_meanAbsDev" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_meanAbsDev</refname>
    <refpurpose>estimates the Mean Absolute deviation</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = nan_meanAbsDev(x,DIM)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>y:</term>
      <listitem><para> the mean deviation of x in dimension DIM</para></listitem></varlistentry>
   <varlistentry><term>1:</term>
      <listitem><para> STATS of columns</para></listitem></varlistentry>
   <varlistentry><term>2:</term>
      <listitem><para> STATS of rows</para></listitem></varlistentry>
   <varlistentry><term>default or []:</term>
      <listitem><para> first DIMENSION, with more than 1 element</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
estimates the Mean Absolute deviation
(note that according to [1,2] this is the mean deviation;
not the mean absolute deviation)
   </para>
   <para>
features:
- can deal with NaN's (missing values)
- dimension argument
- compatible to Matlab and Octave
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

salery=[950; 1200; 1370; 1580; 1650; 1800; 6000; %nan];
nan_meanAbsDev(salery);


   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="sumskipnan">sumskipnan</link></member>
   <member><link linkend="nan_medAbsDev">nan_medAbsDev</link></member>
   <member><link linkend="nan_var">nan_var</link></member>
   <member><link linkend="nan_std">nan_std</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>[1] http://mathworld.wolfram.com/MeanDeviation.html</para>
   <para>[2] L. Sachs, "Applied Statistics: A Handbook of Techniques", Springer-Verlag, 1984, page 253.</para>
   <para>[3] http://mathworld.wolfram.com/MeanAbsoluteDeviation.html</para>
   <para>[4] Kenney, J. F. and Keeping, E. S. "Mean Absolute Deviation." §6.4 in Mathematics of Statistics, Pt. 1, 3rd ed. Princeton, NJ: Van Nostrand, pp. 76-77 1962.</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2000-2002,2010 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
